Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.cache
Interface ExternalizableUtilStrategy

All Known Implementing Classes:
  DummyExternalizableUtil

    public interface ExternalizableUtilStrategy

Interface that allows to provide different ways for implementing serialization of objects. The open source version of the server will just provide a dummy implementation that does nothing. The enterprise version will use Coherence as its underlying mechanism.

Author:
  Gaston Dombiak

Method Summary
`boolean` | `readBoolean(DataInput in)`
`byte[]` | `readByteArray(DataInput in)`
`int` | `readExternalizableCollection(DataInput in, Collection<? extends Externalizable> value, ClassLoader loader)`
`int` | `readExternalizableMap(DataInput in, Map<String,? extends Externalizable> map, ClassLoader loader)`
`int` | `readInt(DataInput in)`
`long` | `readLong(DataInput in)`
`long[]` | `readLongArray(DataInput in)` Reads an array of long values.
`Map` | `readLongIntMap(DataInput in)` Reads a Map of Long key and Integer value pairs.
`String` | `readSafeUTF(DataInput in)`
`Serializable` | `readSerializable(DataInput in)`
`List<String>` | `readStringList(DataInput in)` Reads a List of Strings.
`Map<String,String>` | `readStringMap(DataInput in)` Reads a Map of String key and value pairs.
`int` | `readStrings(DataInput in, Collection<String> collection)`
`int` | `readStringsMap(DataInput in, Map<String,Set<String>> map)`
`void` | `writeBoolean(DataOutput out, boolean value)`
`void` | `writeByteArray(DataOutput out, byte[] value)`
`void` | `writeExternalizableCollection(DataOutput out, Collection<? extends Externalizable> value)`
`void` | `writeExternalizableMap(DataOutput out, Map<String,? extends Externalizable> map)`
`void` | `writeInt(DataOutput out, int value)`
`void` | `writeLong(DataOutput out, long value)`
`void` | `writeLongArray(DataOutput out, long[] array)` Writes an array of long values.
`void` | `writeLongIntMap(DataOutput out, Map<Long,Integer> map)` Writes a Map of Long key and Integer value pairs.
`void` | `writeSafeUTF(DataOutput out, String value)`
`void` | `writeSerializable(DataOutput out, Serializable value)`
`void` | `writeStringList(DataOutput out, List stringList)` Writes a List of Strings.
`void` | `writeStringMap(DataOutput out, Map<String,String> stringMap)` Writes a Map of String key and value pairs.
`void` | `writeStrings(DataOutput out, Collection<String> collection)`
`void` | `writeStringsMap(DataOutput out, Map<String,Set<String>> map)`

Method Detail

### writeStringMap

    void writeStringMap(DataOutput out,
                        Map<String,String> stringMap)
                        throws IOException

  Writes a Map of String key and value pairs. This method handles the case when the Map is `null`.

  Parameters:
    `out` - the output stream.
    `stringMap` - the Map of String key/value pairs.
  Throws:
    `IOException` - if an error occurs.

### readStringMap

    Map<String,String> readStringMap(DataInput in)
                                     throws IOException

  Reads a Map of String key and value pairs. This method will return `null` if the Map written to the stream was `null`.

  Parameters:
    `in` - the input stream.
  Returns:
    a Map of String key/value pairs.
  Throws:
    `IOException` - if an error occurs.

### writeLongIntMap

    void writeLongIntMap(DataOutput out,
                         Map<Long,Integer> map)
                         throws IOException

  Writes a Map of Long key and Integer value pairs. This method handles the case when the Map is `null`.

  Parameters:
    `out` - the output stream.
    `map` - the Map of Long key/Integer value pairs.
  Throws:
    `IOException` - if an error occurs.

### readLongIntMap

    Map readLongIntMap(DataInput in)
                       throws IOException

  Reads a Map of Long key and Integer value pairs. This method will return `null` if the Map written to the stream was `null`.

  Parameters:
    `in` - the input stream.
  Returns:
    a Map of Long key/Integer value pairs.
  Throws:
    `IOException` - if an error occurs.

### writeStringList

    void writeStringList(DataOutput out,
                         List stringList)
                         throws IOException

  Writes a List of Strings. This method handles the case when the List is `null`.

  Parameters:
    `out` - the output stream.
    `stringList` - the List of Strings.
  Throws:
    `IOException` - if an error occurs.

### readStringList

    List<String> readStringList(DataInput in)
                                throws IOException

  Reads a List of Strings. This method will return `null` if the List written to the stream was `null`.

  Parameters:
    `in` - the input stream.
  Returns:
    a List of Strings.
  Throws:
    `IOException` - if an error occurs.

### writeLongArray

    void writeLongArray(DataOutput out,
                        long[] array)
                        throws IOException

  Writes an array of long values. This method handles the case when the array is `null`.

  Parameters:
    `out` - the output stream.
    `array` - the array of long values.
  Throws:
    `IOException` - if an error occurs.

### readLongArray

    long[] readLongArray(DataInput in)
                         throws IOException

  Reads an array of long values. This method will return `null` if the array written to the stream was `null`.

  Parameters:
    `in` - the input stream.
  Returns:
    an array of long values.
  Throws:
    `IOException` - if an error occurs.

### writeLong

    void writeLong(DataOutput out,
                   long value)
                   throws IOException

  Throws:
    `IOException`

### readLong

    long readLong(DataInput in)
                  throws IOException

  Throws:
    `IOException`

### writeBoolean

    void writeBoolean(DataOutput out,
                      boolean value)
                      throws IOException

  Throws:
    `IOException`

### readBoolean

    boolean readBoolean(DataInput in)
                        throws IOException

  Throws:
    `IOException`

### writeByteArray

    void writeByteArray(DataOutput out,
                        byte[] value)
                        throws IOException

  Throws:
    `IOException`

### readByteArray

    byte[] readByteArray(DataInput in)
                         throws IOException

  Throws:
    `IOException`

### writeSerializable

    void writeSerializable(DataOutput out,
                           Serializable value)
                           throws IOException

  Throws:
    `IOException`

### readSerializable

    Serializable readSerializable(DataInput in)
                                  throws IOException

  Throws:
    `IOException`

### writeSafeUTF

    void writeSafeUTF(DataOutput out,
                      String value)
                      throws IOException

  Throws:
    `IOException`

### readSafeUTF

    String readSafeUTF(DataInput in)
                       throws IOException

  Throws:
    `IOException`

### writeExternalizableCollection

    void writeExternalizableCollection(DataOutput out,
                                       Collection<? extends Externalizable> value)
                                       throws IOException

  Throws:
    `IOException`

### readExternalizableCollection

    int readExternalizableCollection(DataInput in,
                                     Collection<? extends Externalizable> value,
                                     ClassLoader loader)
                                     throws IOException

  Throws:
    `IOException`

### writeExternalizableMap

    void writeExternalizableMap(DataOutput out,
                                Map<String,? extends Externalizable> map)
                                throws IOException

  Throws:
    `IOException`

### readExternalizableMap

    int readExternalizableMap(DataInput in,
                              Map<String,? extends Externalizable> map,
                              ClassLoader loader)
                              throws IOException

  Throws:
    `IOException`

### writeStringsMap

    void writeStringsMap(DataOutput out,
                         Map<String,Set<String>> map)
                         throws IOException

  Throws:
    `IOException`

### readStringsMap

    int readStringsMap(DataInput in,
                       Map<String,Set<String>> map)
                       throws IOException

  Throws:
    `IOException`

### writeStrings

    void writeStrings(DataOutput out,
                      Collection<String> collection)
                      throws IOException

  Throws:
    `IOException`

### readStrings

    int readStrings(DataInput in,
                    Collection<String> collection)
                    throws IOException

  Throws:
    `IOException`

### writeInt

    void writeInt(DataOutput out,
                  int value)
                  throws IOException

  Throws:
    `IOException`

### readInt

    int readInt(DataInput in)
                throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.